import { DecryptionMaterial, EncryptedDataKey, EncryptionMaterial, Keyring, SupportedAlgorithmSuites, Newable } from '@aws-crypto/material-management';
import { AwsEsdkKMSInterface } from './kms_types';
export interface AwsKmsMrkAwareSymmetricDiscoveryKeyringInput<Client extends AwsEsdkKMSInterface> {
    client: Client;
    discoveryFilter?: Readonly<{
        accountIDs: readonly string[];
        partition: string;
    }>;
    grantTokens?: string[];
}
export interface IAwsKmsMrkAwareSymmetricDiscoveryKeyring<S extends SupportedAlgorithmSuites, Client extends AwsEsdkKMSInterface> extends Keyring<S> {
    client: Client;
    clientRegion: string;
    discoveryFilter?: Readonly<{
        accountIDs: readonly string[];
        partition: string;
    }>;
    grantTokens?: string[];
    _onEncrypt(material: EncryptionMaterial<S>): Promise<EncryptionMaterial<S>>;
    _onDecrypt(material: DecryptionMaterial<S>, encryptedDataKeys: EncryptedDataKey[]): Promise<DecryptionMaterial<S>>;
}
export interface AwsKmsMrkAwareSymmetricDiscoveryKeyringConstructible<S extends SupportedAlgorithmSuites, Client extends AwsEsdkKMSInterface> {
    new (input: AwsKmsMrkAwareSymmetricDiscoveryKeyringInput<Client>): IAwsKmsMrkAwareSymmetricDiscoveryKeyring<S, Client>;
}
export declare function AwsKmsMrkAwareSymmetricDiscoveryKeyringClass<S extends SupportedAlgorithmSuites, Client extends AwsEsdkKMSInterface>(BaseKeyring: Newable<Keyring<S>>): AwsKmsMrkAwareSymmetricDiscoveryKeyringConstructible<S, Client>;
//# sourceMappingURL=kms_mrk_discovery_keyring.d.ts.map