import { SupportedAlgorithmSuites, MultiKeyring, Newable } from '@aws-crypto/material-management';
import { IAwsKmsMrkAwareSymmetricDiscoveryKeyring, KmsClientSupplier } from '.';
import { AwsEsdkKMSInterface } from './kms_types';
export interface AwsKmsMrkAwareDiscoveryMultiKeyringInput<Client extends AwsEsdkKMSInterface> {
    regions: string[];
    clientProvider?: KmsClientSupplier<Client>;
    discoveryFilter?: Readonly<{
        accountIDs: readonly string[];
        partition: string;
    }>;
    grantTokens?: string[];
}
export interface AwsKmsMrkAwareDiscoveryMultiKeyringBuilder<S extends SupportedAlgorithmSuites, Client extends AwsEsdkKMSInterface> {
    (input: AwsKmsMrkAwareDiscoveryMultiKeyringInput<Client>): MultiKeyring<S>;
}
export declare function getAwsKmsMrkAwareDiscoveryMultiKeyringBuilder<S extends SupportedAlgorithmSuites, Client extends AwsEsdkKMSInterface>(MrkAwareDiscoveryKeyring: Newable<IAwsKmsMrkAwareSymmetricDiscoveryKeyring<S, Client>>, MultiKeyring: Newable<MultiKeyring<S>>, defaultClientProvider: KmsClientSupplier<Client>): AwsKmsMrkAwareDiscoveryMultiKeyringBuilder<S, Client>;
//# sourceMappingURL=kms_mrk_discovery_multi_keyring.d.ts.map