import { SupportedAlgorithmSuites, MultiKeyring, Newable } from '@aws-crypto/material-management';
import { IAwsKmsMrkAwareSymmetricKeyring, KmsClientSupplier } from '.';
import { AwsEsdkKMSInterface } from './kms_types';
export interface AwsKmsMrkAwareStrictMultiKeyringInput<Client extends AwsEsdkKMSInterface> {
    clientProvider?: KmsClientSupplier<Client>;
    generatorKeyId?: string;
    keyIds?: string[];
    grantTokens?: string[];
}
export interface AwsKmsMrkAwareStrictMultiKeyringBuilder<S extends SupportedAlgorithmSuites, Client extends AwsEsdkKMSInterface> {
    (input: AwsKmsMrkAwareStrictMultiKeyringInput<Client>): MultiKeyring<S>;
}
export declare function getAwsKmsMrkAwareStrictMultiKeyringBuilder<S extends SupportedAlgorithmSuites, Client extends AwsEsdkKMSInterface>(MrkAwareKeyring: Newable<IAwsKmsMrkAwareSymmetricKeyring<S, Client>>, MultiKeyring: Newable<MultiKeyring<S>>, defaultClientProvider: KmsClientSupplier<Client>): AwsKmsMrkAwareStrictMultiKeyringBuilder<S, Client>;
export declare function identifier2ClientBuilder<Client extends AwsEsdkKMSInterface>(clientProvider: KmsClientSupplier<Client>): (identifier: string) => Client;
//# sourceMappingURL=kms_mrk_strict_multi_keyring.d.ts.map