export declare const KMS_SERVICE = "kms";
export type ParsedAwsKmsKeyArn = {
    Partition: string;
    Region: string;
    AccountId: string;
    ResourceType: string;
    ResourceId: string;
};
/**
 * Returns a parsed ARN if a valid AWS KMS Key ARN.
 * If the request is a valid resource the function
 * will return false.
 * However if the ARN is malformed this function throws an error,
 */
export declare function parseAwsKmsKeyArn(kmsKeyArn: string): ParsedAwsKmsKeyArn | false;
export declare function getRegionFromIdentifier(kmsKeyIdentifier: string): string;
export declare function parseAwsKmsResource(resource: string): Pick<ParsedAwsKmsKeyArn, 'ResourceType' | 'ResourceId'>;
export declare function validAwsKmsIdentifier(kmsKeyIdentifier: string): ParsedAwsKmsKeyArn | Pick<ParsedAwsKmsKeyArn, 'ResourceType' | 'ResourceId'>;
export declare function isMultiRegionAwsKmsArn(kmsIdentifier: string | ParsedAwsKmsKeyArn): boolean;
export declare function isMultiRegionAwsKmsIdentifier(kmsIdentifier: string): boolean;
export declare function mrkAwareAwsKmsKeyIdCompare(keyId1: string, keyId2: string): boolean;
export declare function constructArnInOtherRegion(parsedArn: ParsedAwsKmsKeyArn, region: string): string;
//# sourceMappingURL=arn_parsing.d.ts.map