import { KmsClientSupplier } from './kms_client_supplier';
import { AwsEsdkKMSInterface, RequiredGenerateDataKeyResponse, RequiredEncryptResponse, RequiredDecryptResponse } from './kms_types';
import { EncryptionContext, EncryptedDataKey } from '@aws-crypto/material-management';
export declare const KMS_PROVIDER_ID = "aws-kms";
export declare function generateDataKey<Client extends AwsEsdkKMSInterface>(clientProvider: KmsClientSupplier<Client> | Client, NumberOfBytes: number, KeyId: string, EncryptionContext: EncryptionContext, GrantTokens?: string[]): Promise<RequiredGenerateDataKeyResponse | false>;
export declare function encrypt<Client extends AwsEsdkKMSInterface>(clientProvider: KmsClientSupplier<Client> | Client, Plaintext: Uint8Array, KeyId: string, EncryptionContext: EncryptionContext, GrantTokens?: string[]): Promise<RequiredEncryptResponse | false>;
export declare function decrypt<Client extends AwsEsdkKMSInterface>(clientProvider: KmsClientSupplier<Client> | Client, { providerId, providerInfo, encryptedDataKey }: EncryptedDataKey, EncryptionContext: EncryptionContext, GrantTokens?: string[]): Promise<RequiredDecryptResponse | false>;
export declare function kmsResponseToEncryptedDataKey({ KeyId: providerInfo, CiphertextBlob: encryptedDataKey, }: RequiredEncryptResponse): EncryptedDataKey;
//# sourceMappingURL=helpers.d.ts.map