import { AwsEsdkKMSInterface } from './kms_types';
import { Keyring, EncryptionMaterial, DecryptionMaterial, SupportedAlgorithmSuites, EncryptedDataKey, Newable } from '@aws-crypto/material-management';
export interface AwsKmsMrkAwareSymmetricKeyringInput<Client extends AwsEsdkKMSInterface> {
    keyId: string;
    client: Client;
    grantTokens?: string[];
}
export interface IAwsKmsMrkAwareSymmetricKeyring<S extends SupportedAlgorithmSuites, Client extends AwsEsdkKMSInterface> extends Keyring<S> {
    keyId: string;
    client: Client;
    grantTokens?: string[];
    _onEncrypt(material: EncryptionMaterial<S>): Promise<EncryptionMaterial<S>>;
    _onDecrypt(material: DecryptionMaterial<S>, encryptedDataKeys: EncryptedDataKey[]): Promise<DecryptionMaterial<S>>;
}
export interface AwsKmsMrkAwareSymmetricKeyringConstructible<S extends SupportedAlgorithmSuites, Client extends AwsEsdkKMSInterface> {
    new (input: AwsKmsMrkAwareSymmetricKeyringInput<Client>): IAwsKmsMrkAwareSymmetricKeyring<S, Client>;
}
export declare function AwsKmsMrkAwareSymmetricKeyringClass<S extends SupportedAlgorithmSuites, Client extends AwsEsdkKMSInterface>(BaseKeyring: Newable<Keyring<S>>): AwsKmsMrkAwareSymmetricKeyringConstructible<S, Client>;
//# sourceMappingURL=kms_mrk_keyring.d.ts.map