import { Keyring, KeyringNode, KeyringWebCrypto } from './keyring';
import { SupportedAlgorithmSuites } from './types';
import { EncryptedDataKey } from './encrypted_data_key';
import { NodeAlgorithmSuite } from './node_algorithms';
import { WebCryptoAlgorithmSuite } from './web_crypto_algorithms';
export declare class MultiKeyringNode extends KeyringNode implements MultiKeyring<NodeAlgorithmSuite> {
    readonly generator?: KeyringNode;
    readonly children: ReadonlyArray<KeyringNode>;
    constructor(input: MultiKeyringInput<NodeAlgorithmSuite>);
    _onEncrypt: (this: MultiKeyring<NodeAlgorithmSuite>, material: import("./cryptographic_material").NodeEncryptionMaterial) => Promise<import("./cryptographic_material").NodeEncryptionMaterial>;
    _onDecrypt: (this: MultiKeyring<NodeAlgorithmSuite>, material: import("./cryptographic_material").NodeDecryptionMaterial, encryptedDataKeys: EncryptedDataKey[]) => Promise<import("./cryptographic_material").NodeDecryptionMaterial>;
}
export declare class MultiKeyringWebCrypto extends KeyringWebCrypto implements MultiKeyring<WebCryptoAlgorithmSuite> {
    readonly generator?: KeyringWebCrypto;
    readonly children: ReadonlyArray<KeyringWebCrypto>;
    constructor(input: MultiKeyringInput<WebCryptoAlgorithmSuite>);
    _onEncrypt: (this: MultiKeyring<WebCryptoAlgorithmSuite>, material: import("./cryptographic_material").WebCryptoEncryptionMaterial) => Promise<import("./cryptographic_material").WebCryptoEncryptionMaterial>;
    _onDecrypt: (this: MultiKeyring<WebCryptoAlgorithmSuite>, material: import("./cryptographic_material").WebCryptoDecryptionMaterial, encryptedDataKeys: EncryptedDataKey[]) => Promise<import("./cryptographic_material").WebCryptoDecryptionMaterial>;
}
interface MultiKeyringInput<S extends SupportedAlgorithmSuites> {
    generator?: Keyring<S>;
    children?: Keyring<S>[];
}
export interface MultiKeyring<S extends SupportedAlgorithmSuites> extends Keyring<S> {
    generator?: Keyring<S>;
    children: ReadonlyArray<Keyring<S>>;
}
export {};
//# sourceMappingURL=multi_keyring.d.ts.map