/**
 *
 * The encryption SDK stores elements in the form of length data.
 * e.g. 04data.  The length element is Uint16 Big Endian.
 * So knowing the number of elements of this form I can
 * advance through a buffer.  The rub comes when streaming
 * data.  The I may know the number of elements, but not
 * yet have all the data.  In this case I check the lengths and
 * return false.
 *
 * @param elementCount
 * @param buffer
 * @param readPos
 */
export declare function readElements(elementCount: number, fieldsPerElement: number, buffer: Uint8Array, readPos?: number): false | {
    elements: Uint8Array[][];
    readPos: number;
};
//# sourceMappingURL=read_element.d.ts.map